AnalyticDigitalAmericanEngine Class Reference
Pricing engines » Vanilla option engines

Analytic pricing engine for American vanilla options with digital payoff. More...

`#include <ql/pricingengines/vanilla/analyticdigitalamericanengine.hpp>`

Inheritance diagram for AnalyticDigitalAmericanEngine:
[legend]

## Public Member Functions

| AnalyticDigitalAmericanEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &)
virtual void | calculate () const
virtual bool | knock_in () const

## Detailed Description

Analytic pricing engine for American vanilla options with digital payoff.

Tests:
  - the correctness of the returned value in case of cash-or-nothing at-hit digital payoff is tested by reproducing results available in literature.
  - the correctness of the returned value in case of asset-or-nothing at-hit digital payoff is tested by reproducing results available in literature.
  - the correctness of the returned value in case of cash-or-nothing at-expiry digital payoff is tested by reproducing results available in literature.
  - the correctness of the returned value in case of asset-or-nothing at-expiry digital payoff is tested by reproducing results available in literature.
  - the correctness of the returned greeks in case of cash-or-nothing at-hit digital payoff is tested by reproducing numerical derivatives.